List Categories
GET
/store/:storeCode/product-categoriesRetrieve a paginated list of product categories.
Path Parameters
storeCoderequiredstringStore slug in the URL (first argument to every SDK store method).
Query Parameters
limitnumberMaximum number of items to return.
offsetnumberNumber of items to skip before collecting the result set.
orderstringField to sort by. Prefix with `-` for descending order (e.g. `-created_at`).
fieldsstringComma-separated fields to include. Prefix with `*` to expand a relation (e.g. `id,*variants`).
qstringSearch query.
idstring | string[]Filter by ID(s).
namestringFilter by name.
handlestringFilter by handle.
parent_category_idstring | nullFilter by parent category.
include_descendants_treebooleanInclude the full descendants tree.
include_ancestors_treebooleanInclude the ancestors tree.
Response
Status
200OK
Schema
CopyHttpTypes.StoreProductCategoryListResponse
Properties
product_categoriesrequiredStoreProductCategory[]List of categories.
countrequirednumberTotal count.
offsetrequirednumberOffset applied.
limitrequirednumberLimit applied.